AOZ Studio Beta - Bug #145

Different default colours - Amiga/PC modes
02/06/2020 08:58 PM - Paul Kitching

Status: Feedback Start date: 02/06/2020
Priority: Normal Due date:

Assignee: Francois Lionet % Done: 0%
Category: Estimated time: 0:00 hour
Target version:

Affected version: 0.9.9.4

Description

#manifest: "pc"

cls O

ink 2:paper O

circle 20,20,5

for x=0 to 2
pen x:print x

next x

In Amiga mode:
0 - black
1 - brown
2 - white

PC:

0 - black
1 - white
2 - black

Which means that the default ink colour is now black in PC mode

History

#1 - 08/04/2020 12:09 PM - Paul Kitching
- Affected version changed from 0.9.4 to 0.9.9.4

The default colours for 1 and 2 are still wrong in 9.9.4 for AOZ mode.

#2 - 09/30/2020 02:47 PM - Brian Flanagan

- Status changed from New to Feedback

Yes, you're correct. The default palettes are different between the AOZ/PC and Amiga manifests.

This is normal. If you want a program that you write in the Amiga manifest to use the same palette in the AOZ manifest, you can create an include file
containing an equivalent palette definition, or you can alter the palette in your code using the Manifest$ function to determine which palette you're
working with. If you just duplicate each nybble to make a full byte you should have the same palette. For example:

If Manifest$="amiga"

Palette $000,$FFF,$F00,$0F0,$00F ,$FF0,$0FF,$FOF

Else // AOZ/PC manifest

Palette $000000,$FFFFFF,$FF0000,$00FF00,$0000FF,$FFFF00,$00FFFF,$FFOOFF
End If

You can also use a percentage with the nybble $F being 100%, and $0 being 0%.
Multiply $FF by the percentage, and you should have your AOZ color.
